Subject: Re: CR/LF question

From: Peter DiCamillo <[email-masked]>
Date: Thu, 14 Sep 2000 16:13:56 -0400

>Even netatalk 1.5 now in development is exhibiting this behavior.  I took
>a quick look at fork.c and volume.c where CRLF translation is
>happening now.  I don't see an easy fix... if you look at the CVS tree at
>http://sourceforge.net/projects/netatalk and think you can fix it, by all
>means, do so and do it soon.  Most people are finishing up their patches
>(if not done already) so that 1.5 can be frozen and released.
I've been planning to try to fix it after I finish my current project 
in a few weeks.  I definitely can't do it before then.  I'm thinking 
along the lines of a fix so that if a file isn't created as type 
'TEXT', then regardless of any subsequent changes it will never be 
translated.  This will preserve file integrity for Mac users, which I 
consider more important than ensuring all text files get translated 
for Unix users (or maybe Samba).

Peter

---

From: "Clemens Anhuth" <[email-masked]>
Date: Fri, 15 Sep 2000 11:51:11 +0200

> for Unix users (or maybe Samba).

Does it not make more sense to use text tools that can cope with the
different text file formatting instead of having the file server
make an educated guess on wether to do it or not?

With best regards

Clemens Anhuth

---

From: Paul Reilly <[email-masked]>
Date: Fri, 15 Sep 2000 15:28:09 +0100 (BST)

Hi all,

I have two problems with my new netatalk installation that I was hoping
someone could shed some light on...  It's netatalk-1_4b2+asun2_1_3 and
I compiled it for DES, tcp_wrappers and shadow password files on my RH
linux 6.2 system....

The problems are as follows:

1) Using the RH startup script, starting up atalkd works, but trying to
   register the machine name with nbprgstr fails with:

   nbp_rgstr: Connection timed out Can't register phoebe:netatalk@*

   I can view the zones on my LAN okay with getzones, but it just won't
   register as a member of the default zone?! Maybe it's a routing issue?

2) I can login over TCP/IP okay, but no matter what I add to
   /usr/local/atalk/AppleVolumes.default, I still only get the users home
   directory shown in the list of volumes? This happens even when I
   specifically comment out the ~ in the file??

   I've tried starting afpd pointing it directly to the config file but no change.
   I've tried a local .AppleVolumes in a user dir too, to no affect.

Here's my AppleVolumes.default and my afpd.conf, maybe someone can spot
what's wrong?

------- AppleVolumes.default -------------------------------------------------
#
#~
# The ~ line makes any users home dir available to that user
# (disabled)
#
# Share out "AppleShare" under name "phoebe common" to "paul" only
#
/common/AppleShare "phoebe common" access=paul
/common/SambaShare "common" access=@biggroup
#
#
/appleshare/repository  repository
#
/appleshare/paul  paulrep access=paul

------------------------------------------------------------------------------

Still - the only volume that's listed is the home dir of whoever logs in!

---------------- afpd.conf --------------------------------------------------
#
# afpd.conf   -  Apple Filling Protocol Daemon Config
#
#
# This file allows you to specify what servers are seen under the
# chooser menu or via AppleShare over IP
#
# Format of lines in this file:
# (examples shown below)
#
#    server [ -tcp ] [ -ddp ] [ -guest ] [ -loginmesg message ] ...
#
#
# configfure a server "phoebe"
#
phoebe -tcp -noddp --noguest
#
------------------------------------------------------------------------------

Any ideas?

Paul